Kea: main.cc File Reference

| Kea 3.2.0-git

main.cc File Reference
`#include <config.h>`
`#include <kea_version.h>`
`#include <dhcp6/ctrl_dhcp6_srv.h>`
`#include <dhcp6/dhcp6_log.h>`
`#include <dhcp6/parser_context.h>`
`#include <dhcp6/json_config_parser.h>`
`#include <dhcpsrv/cfgmgr.h>`
`#include <exceptions/exceptions.h>`
`#include <log/logger_support.h>`
`#include <log/logger_manager.h>`
`#include <log/output_option.h>`
`#include <process/cfgrpt/config_report.h>`
`#include <process/daemon.h>`
`#include <util/filesystem.h>`
`#include <boost/lexical_cast.hpp>`
`#include <cstdlib>`
`#include <iostream>`
Include dependency graph for dhcp6/main.cc:

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 77 of file dhcp6/main.cc.

References isc::util::file::amRunningAsRoot(), isc::dhcp::configureDhcp6Server(), isc::process::Daemon::createPIDFile(), isc::dhcp::DBG_DHCP6_START, isc::log::OutputOption::DEST_CONSOLE, isc::dhcp::DHCP6_ALREADY_RUNNING, isc::dhcp::DHCP6_DEVELOPMENT_VERSION, isc::dhcp::DHCP6_INIT_FAIL, isc::dhcp::dhcp6_logger, isc::dhcp::DHCP6_ROOT_LOGGER_NAME, isc::dhcp::DHCP6_ROOT_USER_SECURITY_WARNING, isc::dhcp::DHCP6_SECURITY_CHECKS_DISABLED, isc::dhcp::DHCP6_SERVER_FAILED, isc::dhcp::DHCP6_SHUTDOWN, isc::dhcp::DHCP6_START_INFO, isc::dhcp::DHCP6_STARTED, isc::dhcp::DHCP6_STARTING, isc::util::file::PathChecker::enableEnforcement(), isc::detail::getConfigReport(), isc::dhcp::Dhcpv6Srv::getVersion(), isc::dhcp::ControlledDhcpv6Srv::init(), isc::dhcp::CfgMgr::instance(), isc::dhcp::IfaceMgr::instance(), LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_WARN, isc::process::Daemon::loggerInit(), isc::config::parseAnswer(), isc::dhcp::Parser6Context::parseFile(), isc::dhcp::Parser6Context::PARSER_DHCP6, isc::log::LoggerManager::process(), isc::dhcp::Dhcpv6Srv::run(), isc::process::Daemon::setConfigFile(), isc::process::Daemon::setDefaultLoggerName(), isc::dhcp::CfgMgr::setFamily(), isc::dhcp::IfaceMgr::setFamily(), isc::process::Daemon::setProcName(), isc::util::file::setUmask(), isc::process::Daemon::setVerbose(), isc::util::file::PathChecker::shouldEnforceSecurity(), usage(), and isc::Exception::what().

Here is the call graph for this function: